<template>
  <Shadow>
    <StackLayout width="100%" padding="10" backgroundColor="white" height="auto"
     @longPress="$emit('onLongPress')">
      <FlexboxLayout width="100%" height="30"
        flexDirection="row"
        alignItems="flex-start"
        justifyContent="space-between">
        <Label fontSize="18" width="80%" :text="$responsiveUI.toUpperCase(modelPhoto.Title)" textWrap="true" @tap="$emit('onTap')"/>
        <!-- <FlexboxLayout flexDirection="column" alignItems="center" justifyContent="center" height="100%" @tap="$emit('onLongPress')">
          <Label fontSize="18" width="5%" text="X" fontWeight="bold" />
        </FlexboxLayout> -->
        <Image src="~/assets/images/icons/icon_delete.png" width="10%" marginRight="15" stretch="aspectFit" @tap="$emit('onLongPress')"/>
        <Image src="~/assets/images/icons/icon_arrow_right_pink.png" width="10%" stretch="aspectFit" @tap="$emit('onTap')"/>
      </FlexBoxLayout>
      <Image :src="modelPhoto.PhotoURLCover" height="auto" width="100%" marginBottom="0" @tap="$emit('onTap')"></Image>
    </StackLayout>
  </Shadow>
</template>

<script>
import Shadow from '~/components/Shadow/Regular';
export default {
  props: {
    modelPhoto: Object,
  },
  components: {
    Shadow,
  },
}
</script>

<style scoped></style>
